# H501_DescriptorRejection Class Reference

`#include <h501.h>`

Inheritance diagram for H501_DescriptorRejection:

List of all members.

## Public Types

enum | OptionalFields { e_descriptorID }

## Public Member Functions

| H501_DescriptorRejection (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H501_DescriptorRejectionReason | m_reason
H225_GloballyUniqueID | m_descriptorID

## Member Enumeration Documentation

enum H501_DescriptorRejection::OptionalFields

Enumerator:

  e_descriptorID |

## Constructor & Destructor Documentation

H501_DescriptorRejection::H501_DescriptorRejection | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_DescriptorRejection::GetDataLength | ( |  | ) | const

PBoolean H501_DescriptorRejection::Decode | ( | PASN_Stream & | strm | ) |

void H501_DescriptorRejection::Encode | ( | PASN_Stream & | strm | ) | const

void H501_DescriptorRejection::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_DescriptorRejection::Compare | ( | const PObject & | obj | ) | const

PObject* H501_DescriptorRejection::Clone | ( |  | ) | const

## Member Data Documentation

H501_DescriptorRejectionReason H501_DescriptorRejection::m_reason

H225_GloballyUniqueID H501_DescriptorRejection::m_descriptorID

The documentation for this class was generated from the following file:

- h501.h